import unittest
import random
import string
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def randomString(self, length):
        return ''.join(random.choice(string.lowercase) for x in range(length))

    def test_tabSwitch(self):
        name = [self.randomString(5) for i in range(10)]
        for n in name:
            self.addSheet(n)

        name.append("MAIN")
        for i in range(5):
            random.shuffle(name)
            for n in name:
                self.activateSheet(n)
                self.assertActiveSheet(n)

if __name__ == "__main__":
    unittest.main()
